Subject: bug#52265: Wishlist: Behavior of rectangles when last line is short

From: Tor Kringeland <[email-masked]>
Date: Mon, 06 Dec 2021 01:25:23 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I think there's a separate package for doing this...  er...  something
> about tabular mode, but I forget what it's called.  It mogrifies text
> into a table, and from that you can export into various formats.  Or was
> it table.el?  It's been a long while since I used it last.

Thank you, I'll have a look around the ecosystem :)

> I think selecting prefix characters etc just isn't general enough.  When
> creating a CSV file, for instance, you want to get rid of the spaces,
> too.  So creating a table and then exporting (via various rules) seems
> more useful.

I see.  Alan Third mentioned `rectangle-mark-mode', which solves the
first point.  For the second point I can concoct something to format to
CSV (or find a package).  So you can close this request for my part.